Skip to main content
`Ctrl`+`K`

# NEPValuesView

Displays the computed eigenvalues in a viewer.

## Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPValuesView(NEP nep,PetscViewer viewer)

Collective

## Input Parameters

- nep - the nonlinear eigensolver context

- viewer - the viewer

## Options Database Key

- -nep_view_values - print computed eigenvalues

## Note

The command-line option listed above admits an optional argument specifying the viewer type and options. For instance, use `-nep_view_values :evals.m:ascii_matlab` to save the values in a file that can be executed in Matlab.

## See Also

NEP: Nonlinear Eigenvalue Problems, `NEPSolve()`, `NEPVectorsView()`, `NEPErrorView()`

## Level

intermediate

## Location

src/nep/interface/nepview.c

Index of all NEP routines Table of Contents for all manual pages Index of all manual pages